Subject: Fwd: [Mickaboo Action] Re: Macaw found - URGENT
From: CLAUDIA MELTEFF <[email-masked]>
To: [email-masked]
Date: Thu, 28 Dec 2006 19:06:13 +0000

Michelle Yesney's husband has picked up the bird and will take it to Dr. Van Sant.  I will need a temporary foster home as soon as the bird is released.  If anyone can provide quarantine for a large macaw let me know and we will try to get a cage to you ASAP.

Anjanette Pelletier <[email-masked]> wrote:  Date: Thu, 28 Dec 2006 10:30:50 -0800
From: "Anjanette Pelletier" <[email-masked]>
To: [email-masked]
Subject: [Mickaboo Action] Re: Macaw found

My address is 4677 Piper Street - easy to access from the freeway (880) and not so hard from 680.  Carrier is on front porch just in case.

Just talked to Larry - bird is in box, in warm room and drinking.  No active bleeding, but does seem scared and with some possible injury to back (feathers are ruffled and pulled). 

I can call him when  my appointment is over - around 12:15.

Sorry I can't do anythig sooner.

anj

  
        If you need us, please call 925-648-7762.

      Deb M-K
      Mrs. Quit

----
      The man who has the bird is Larry Peace (sp? again....)   He has put the bird in a cardboard box.  His cell phone number is 408-482-6366. 

_______________________________________________
Action mailing list
[email-masked]
https://mickaboo.org/cgi-bin/mailman/listinfo/action

Claudia Melteff
Amazon/Macaw Adoption Coordinator
Mickaboo
(650) 583-1940

_______________________________________________
Action mailing list
[email-masked]
https://mickaboo.org/cgi-bin/mailman/listinfo/action
_______________________________________________
Action mailing list
[email-masked]
https://mickaboo.org/cgi-bin/mailman/listinfo/action